Get all learning assignments for the specified learner

get

/hcmRestApi/resources/11.13.18.05/learningAssignmentProfiles

Request

Query Parameters
  • This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds the learning assignment details for the offerings that match the specified criteria.
      Finder Variables
      • assignmentProfileId; integer; Application-generated primary key, surrogate key for assignmentProfileId; integer; .
    • findByAssignmentProfileId Finds the learning assignment details for the offerings that match the assignment profile Id.
      Finder Variables
      • SysEffectiveDate; string;
      • assignmentProfileId; integer; Application-generated primary key, surrogate key for AssignmentProfileId.
      • dataSecurityPrivilege; string; Data security privilege, such as Learning Specialist or Learner Manager. It's the intent and permissions for the user managing the learning assignment profiles.
    • findByAssignmentProfileNumber Finds the learning assignment details for the offerings that match the assignment profile number.
      Finder Variables
      • pAssignmentProfileNumber; string; Application-generated primary key, surrogate key for AssignmentProfileNumber.
    • findByLearningItemId Finds the learning assignment details for the offerings that match the learning item identifier.
      Finder Variables
      • pLearningItemId; integer; Application-generated primary key, surrogate key for LearningItemId.
    • findByLearningItemNumber Finds the learning assignment details for the offerings that match the learning item number.
      Finder Variables
      • pLearningItemNumber; string; Application-generated primary key, surrogate key for LearningItemNumber.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • assignAs; string; Display name of the person who created the learning assignment for the learner. For example, in case of voluntary assignment, it's the name of the learner. For a specialist created assignment, it's the name of the specialist or the alias used in Assign As.
    • assignedOnDate; string; Date when the learning item was assigned.
    • assignmentActualEffort; number; Effort required to complete the assignment.
    • assignmentActualScore; number; The learner's actual score for completed learning.
    • assignmentCompletionDate; string; Date the learning assignment was completed.
    • assignmentDueDate; string; Due date for a learning assignment.
    • assignmentDueDateType; string; Type of learning assignment due date. Valid values are ORA_RELATIVE_DATE and ORA_SPECIFIC_DATE.
    • assignmentDueIn; number; Number of days to complete the learning assignment after it's assigned.
    • assignmentDueInUnits; string; Unit of measure for the quantity that identifies when the learning assignment is due, such as days, months, or years
    • assignmentJustification; string; Justification provided by the person assigning the learning.
    • assignmentNotes; string; Notes from the person assigning the learning to the assigned learners.
    • assignmentProfileDescription; string; Description for the learning assignment profile.
    • assignmentProfileEndDate; string; Date the processing of the learning assignment profile needs to complete.
    • assignmentProfileId; integer; Unique identifier of the assignment profile's details.
    • assignmentProfileNumber; string; User-friendly identifier for the profile linked to the learning assignment.
    • assignmentProfileStartDate; string; Date the processing of the learning assignment profile needs to start.
    • assignmentProfileStatus; string; Status for the learning assignment profile.
    • assignmentProfileStatusMeaning; string; Description for the learning assignment profile status.
    • assignmentProfileTitle; string; Name of the learning assignment profile.
    • assignmentRecordStatus; string; The status of the learning assignment.
    • assignmentRecordStatusMeaning; string; Meaning associated with the learning assignment status.
    • assignmentSubType; string; Learning assignment subtype. Valid values include ORA_SELF and ORA_ADMIN.
    • assignmentType; string; Learning assignment type. Valid values are ORA_REQUIRE_ASSIGNMENT and ORA_JOIN_ASSIGNMENT.
    • assignmentTypeMeaning; string; Description associated with the assignment type.
    • completionComments; string; Comments provided when marking the learning assignment as completed.
    • completionReasonCode; string; Reason code for marking the learning assignment as completed.
    • createdBy; string; Name of the person who created the learning assignment profile.
    • creationDate; string; Date and time when the learning assignment profile was created.
    • dataSecurityPrivilege; string; Data security privilege for the role of the person accessing the learning assignment, such as Learner or Learner Manager. Valid values are defined in the DataSecurityPrivilegeLOV.
    • dueInNumber; number; Quantity for the measurement indicating when the renewal assignment is due, such as 30.
    • dueInUOM; string; Unit of measure for the quantity that identifies when the renewal assignment is due, such as days, months, or years
    • dueMonth; string; Month in which the renewal assignment is due.
    • dueOnDay; number; Day when the renewal assignment is due.
    • enableRenewals; string; Indicates whether the renewals are enabled on the learning assignment profile. Valid values are Y and N.
    • excludeEnrollmentFromHistory; string; Indicates whether the assignment needs to be hidden from the learner's transcript. Valid values are Y and N. When the value is Y, the assignment's status is set to ORA_ASSN_REC_DELETED. When the value is N, the assignment's status is set to ORA_ASSN_REC_WITHDRAWN.
    • existingCompletionValidityRule; string; Indicates when the previous completion expires. Valid values are ORA_FORCE_RETAKE_EXP_COMPL_CD, ORA_FORCE_RETAKE_EXP_COMPL_DD, ORA_FORCE_RETAKE_EXP_COMPL_AD and ORA_FORCE_RETAKE_EXP_COMPL_RN.
    • increaseMaximumCapacity; string; Indicates whether the maximum capacity for the learning should be increased and the waitlist bypassed. Valid values are Y and N.
    • lastModifiedDate; string; Date when the learning assignment profile was most recently changed.
    • lastProcessedDate; string; Date when the learning assignment profile was most recently processed.
    • learningItemCoverArtLink; string; URL to open the learning item cover art directly from the browser.
    • learningItemId; integer; Unique identifier of the assigned learning item.
    • learningItemNumber; string; Number given to the assigned learning item.
    • learningItemSubTypeMeaning; string; Description of the learningItemSubType attribute value.
    • learningItemTitle; string; Title of the learning item.
    • learningItemType; string; Type of learning item. Valid values include ORA_COURSE, ORA_SPECIALIZATION, and ORA_LEGACY.
    • learningItemTypeMeaning; string; Meaning associated with the learning item code.
    • minimumDaysToComplete; number; Minimum number of days to complete the learning assignment created in the subsequent run of the learning assignment profile, after it's assigned.
    • ongoingAssignmentDueDate; string; Due date for a learning assignment created in the subsequent run of the learning assignment profile.
    • ongoingDueDateType; string; Type of learning assignment due date for the subsequent run of the learning assignment profile. Valid values are ORA_RELATIVE_DATE and ORA_SPECIFIC_DATE.
    • ongoingDueIn; number; Number of days to complete the learning assignment created in the subsequent run of the learning assignment profile, after it's assigned.
    • ongoingDueInUnits; string; Unit of measure for the quantity that identifies when the learning assignment created in the subsequent run of the learning assignment profile is due, such as days, months, or years
    • processId; integer; Unique identifier for the process.
    • processingFrequency; string; Processing frequency for the learning assignment profile.
    • processingRule; string; Processing rule for the assignment profile.
    • purchaseOrderNumber; string; Order number for purchasing the learning.
    • reassignNumber; number; Quantity for the measurement indicating when the learning assignment should be reassigned, such as 1.
    • reassignOnDay; number; Day when the renewal assignment should be created.
    • reassignOnMonth; string; Month when the renewal assignment should be created.
    • reassignUOM; string; Unit of measure for the quantity that identifies when the renewal assignment should be created, such as days, months, or years
    • recommendationCategory; string; Category code to which the learning assignment belongs.
    • recommendationCategoryMeaning; string; Meaning associated with the recommended learning category code.
    • renewalOption; string; Rule to identify the start date of the renewal assignment.
    • renewalPeriod; string; Indicates when the learning assignment should be renewed. Valid values are ORA_ANNUAL_DUE_DATE and ORA_REL_TO_PRIOR_COMPLETION.
    • requestedCompletionDate; string; Requested date by when the learner should complete the related learning assignment.
    • requestedStartDate; string; Start date for the requested learning assignment.
    • retakeInNumber; number; Quantity for the measurement indicating when learners should retake the learning, such as 1.
    • retakeInUnitOfMeasure; string; Unit of measure for the quantity that identifies when learners should retake the learning, such as days, months, or years.
    • retakeRule; string; Rule indicating when learners should retake the learning again. Valid values are ORA_EXEMPT_LEARNING, ORA_RETAKE_LEARNING, ORA_RETAKE_WITH_EXEMPT_DATE and ORA_RETAKE_WITH_EXEMPT_BEFORE.
    • retakeWhenCompletedBeforeDate; string; Learners with assignment completions before this date need to retake the learning.
    • runAsPersonId; integer; Unique identifier of the person associated with the assignment profile.
    • runAsPersonNumber; string; Friendly identifier for the person associated with the assignment profile.
    • sourceId; integer; Unique identifier for the source where this assignment was created.
    • sourceType; string; Type for the source where this assignment was created, such as Recommendation or Search.
    • statusChangeComments; string; Status change comment for the learning assignment.
    • statusChangeReasonCode; string; Reason code for the learning assignment status change.
    • targetAssignmentStatus; string; Status to set for the learning assignment.
    • validityPeriodBeginRule; string; Rule identifying when the validity period for the completed learning assignment starts..
    • validityPeriodExpiryDay; number; Day when the learning assignment validity should expire.
    • validityPeriodExpiryFrom; string; Rule to calculate when he learning assignment's validity period should expire.
    • validityPeriodExpiryMonth; string; Month in which the learning assignment validity should expire.
    • validityPeriodExpiryNumber; number; Quantity for the measurement indicating when the learning assignment expires, such as 1.
    • validityPeriodExpiryRule; string; Rule that identifies when the learning assignment's validity period expires. Valid values are ORA_EXP_NEVER, ORA_EXP_ DATE and ORA_EXP_RELATIVE_DATE.
    • validityPeriodExpiryUOM; string; Unit of measure for the quantity that identifies when the learning assignment expires.
    • waiveComments; string; Comments provided when waiving prerequisites for the assignments.
    • waivePrerequisites; string; Indicates whether the prerequisites need to be waived while creating learning assignments. Valid values are Y or N.
    • waiveReasonCode; string; Reason for waiving assignment prerequisites.
    • withdrawOnProcessing; string; Indicates whether the assignment needs to be withdrawn for learners who are no longer part of the assignment profile audience. Valid values are Y or N.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : learningAssignmentProfiles
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : learningAssignmentProfiles-item-response
Type: object
Show Source
Nested Schema : assignmentDFF
Type: array
Show Source
Nested Schema : Assignment Profiles
Type: array
Title: Assignment Profiles
The assignment profile records associated with the learning assignment.
Show Source
Nested Schema : Leaning Assignment Profile Criteria
Type: array
Title: Leaning Assignment Profile Criteria
The learningAssignmentProfileCriteria resource associates 1 or more learners with a learning item.
Show Source
Nested Schema : Noncatalog Learning Item
Type: array
Title: Noncatalog Learning Item
The learning item details required to create noncatalog requests or record external learning under the assignment profile.
Show Source
Nested Schema : Related Materials
Type: array
Title: Related Materials
The relatedMaterials resource provides a list of related learning material for its parent resource. It's also used to add and remove related material.
Show Source
Nested Schema : learningAssignmentProfiles-assignmentDFF-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-assignmentProfileRecords-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-learningAssignmentProfileCriteria-item-response
Type: object
Show Source
Nested Schema : Learning Contributor Person List Attachment
Type: array
Title: Learning Contributor Person List Attachment
The personAttachment resource is used to attach the list of person IDs or person emails for the recipients getting assignments generated by the specified assignment profile.
Show Source
Nested Schema : learningAssignmentProfiles-learningAssignmentProfileCriteria-personAttachment-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-learningItem-item-response
Type: object
Show Source
Nested Schema : learningItemDFF
Type: array
Show Source
Nested Schema : learningAssignmentProfiles-learningItem-learningItemDFF-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-relatedMaterials-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : learningAssignmentProfiles-relatedMaterials-relatedMaterialsBinaries-item-response
Type: object
Show Source
Back to Top